Não consigo subir o servidor no Ionic

1. Não consigo subir o servidor no Ionic

Luan Costa
luanvscosta

(usa Ubuntu)

Enviado em 12/11/2019 - 07:04h

Prezados companheiros,

Me chamo Luan, migrei para o Linux a 2 semanas depois de anos usando o Windows. Estou usando a versão mais recente do Ubuntu, então ainda sou meio leigo quanto à ele. Introduções à parte. Estou precisando criar uma aplicação híbrida para Android, depois de tanta pesquisa resolvi criar através do Ionic. Fiz a instalação do mesmo, só que ao tentar subir o servidor, aparece a seguinte mensagem no terminal: "[ERROR] ng has unexpectedly closed (exit code 3)" impossibilitando do servidor rodar. Segue algumas informações:

"luanvscosta@luanvscosta:~/WydenAcademy$ ionic serve
[WARN] Detected locally installed Ionic CLI, but it's too old--using global CLI.
> ng run app:serve --host=localhost --port=8100
[ng] You are running version v8.10.0 of Node.js, which is not supported by Angular CLI 8.0+.
[ng] The official Node.js version that is supported is 10.9 or greater.
[ng] Please visit https://nodejs.org/en/ to find instructions on how to update Node.js.

[ERROR] ng has unexpectedly closed (exit code 3).

The Ionic CLI will exit. Please check any output above for error details."

luanvscosta@luanvscosta:~/WydenAcademy$ ionic info
[WARN] Detected locally installed Ionic CLI, but it's too old--using global CLI.

Ionic:

Ionic CLI : 5.4.5 (/usr/local/lib/node_modules/ionic)
Ionic Framework : @ionic/angular 4.11.4
@angular-devkit/build-angular : 0.801.3
@angular-devkit/schematics : 8.1.3
@angular/cli : 8.1.3
@ionic/angular-toolkit : 2.0.0

Utility:

cordova-res : not installed
native-run : not installed

System:

NodeJS : v8.10.0 (/usr/bin/node)
npm : 3.5.2
OS : Linux 5.0





  






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts